<template>
  <div>
    <el-tabs type="border-card" v-model="activeName" style="height: 100%">
      <el-tab-pane
        label="桥梁经常检查病害记录"
        name="first"
        style="height: 100%"
      >
        <desease-often v-if="activeName == 'first'"></desease-often>
      </el-tab-pane>
      <el-tab-pane
        label="桥梁定期检查病害记录"
        name="second"
        style="height: 100%"
      >
        <desease-regular v-if="activeName == 'second'"></desease-regular>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import deseaseOften from '@/views/structureArchivesManagement/bridgeFolder/deseaseOften'
import deseaseRegular from '@/views/structureArchivesManagement/bridgeFolder/deseaseRegular'
export default {
  components: {
    deseaseOften,
    deseaseRegular,
  },
  data() {
    return {
      activeName: 'first',
    }
  },
}
</script>

<style lang="scss" scoped>
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
  // color: #606266;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
  // color: #211bce;
  font-weight: bold;
}
</style>